## ----setup, include=FALSE-----------------------------------------------------
knitr::opts_chunk$set(echo = TRUE)
options(warn = -1)

library(ggtree)
library(ggtreeSpace)
library(phytools)
library(ggplot2)

## ----pressure, echo=TRUE------------------------------------------------------
library(ggtree)
library(ggtreeSpace)
library(phytools)

tr <- rtree(15)
td <- fastBM(tr, nsim = 2)
ggtreeSpace(tr, td) +
  geom_tippoint()

## ----example1, echo=TRUE------------------------------------------------------
library(ggtree)
library(ggtreeSpace)
library(phytools)
library(ggplot2)

tr1 <- rtree(15)
td1 <- fastBM(tr1, nsim = 2)
ggplot() +
  geom_treeSpace(tr1, td1)

## ----example2, echo=TRUE------------------------------------------------------
library(ggtree)
library(ggtreeSpace)
library(phytools)

tr2 <- rtree(15)
td2 <- fastBM(tr2, nsim = 2, bounds = c(0, Inf))
tdex2 <- data.frame(z = fastBM(tr2, nsim = 1),
                   node = 1:15)
p <- ggtreeSpace(tr2, td2)
p %<+% tdex2 +
  geom_tippoint() +
  geom_tsheatmap(trait = "z", alpha = 0.7 ,resolution = 0.01, bin = 12)

## ----echo=FALSE---------------------------------------------------------------
sessionInfo()

